> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/automation-studio/get-component-group/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get component group document GET https://example.itential.io/automation-studio/component-groups/{id} Returns the component group document. Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/get-component-group ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `id` (string, required) — ObjectId specifying a component group entity. ### Query parameters - `include` (string, optional) — Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'. - `exclude` (string, optional) — Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'. ## Response ### 200 Transformed data. ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "_id": "67d863a07620432ed58f7964", "description": "", "gbacRead": [], "gbacWrite": [], "members": [ { "name": "addComponentsToProject", "path": [ "addComponentsToProject" ], "ref": "2c27f941-aa37-42b2-9ecf-d0398676745d", "sourceCollection": "workflows", "type": "component" }, { "name": "createProject", "path": [ "createProject" ], "ref": "887d1e2d-3641-41f4-9f93-40bc0f134b5b", "sourceCollection": "workflows", "type": "component" } ], "name": "Automation Studio" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/automation-studio/component-groups/id" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/automation-studio/component-groups/id'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/automation-studio/component-groups/id" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/automation-studio/component-groups/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/automation-studio/component-groups/id") .asString(); ``` ```php request('GET', 'https://example.itential.io/automation-studio/component-groups/id'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/automation-studio/component-groups/id"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/component-groups/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```